Name:    stompserver
Version: 0.9.9
Release: %mkrel 1
Summary: Message queue server based on STOMP
Group:   System/Servers
License: MIT
URL:     http://stompserver.rubyforge.org/
Source0: %name-%version.tgz
Source1: %name.init
Source2: %name.conf
BuildArch: noarch
BuildRequires: ruby-rake
# for test
BuildRequires: rubygems
BuildRequires: ruby-hoe
BuildRequires: ruby-daemons
BuildRequires: ruby-eventmachine
Requires: ruby-hoe
Requires: ruby-daemons
Requires: ruby-eventmachine
Requires: rubygems

%description
Stomp messaging server with file/dbm/memory/activerecord based FIFO queues,
queue monitoring, and basic authentication.

%prep
%setup -q
ruby setup.rb config

# add the shebang, needed for initscript
perl -pi -e '$first or s|(.*)|#!/usr/bin/ruby\n$1|; $first = 1' bin/stompserver

%install
rm -Rf %buildroot
ruby setup.rb install --prefix=%buildroot

install -d %buildroot/%_sysconfdir
install -m644 %SOURCE2 -D %buildroot/%_sysconfdir/%name.conf

install -m755 %SOURCE1 -D %buildroot/%_initrddir/%name


install -d %buildroot/%_localstatedir/lib/%name
# to hold a file name .passwd
install -d %buildroot/%_localstatedir/lib/%name/etc/
install -d %buildroot/var/{log,run}/%name

%check
rake test

%files
%doc README.txt
%_bindir/*
%ruby_sitelibdir/stomp_server
%ruby_sitelibdir/stomp_server.rb
%config(noreplace) %_initrddir/%name
%config(noreplace) %_sysconfdir/%name.conf
%attr(0755,%name,%name) %dir /var/log/%name
%attr(0755,%name,%name) %dir /var/run/%name
%attr(0755,%name,%name) %_localstatedir/lib/%name

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /sbin/nologin

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}



%changelog
* Mon Jul 04 2011 misc <misc> 0.9.9-1.mga2
+ Revision: 118493
- add missing deps, for test
- fix missing deps
- imported package stompserver



* Mon Jul 04 2011 Michael Scherer <misc@mageia.org> 0.9.9-1
- initial rpm for Mageia
